import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:ci_flutter_hello/ci_flutter_hello.dart';

void main() {
  const MethodChannel channel = MethodChannel('ci_flutter_hello');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await CiFlutterHello.platformVersion, '42');
  });
}
